[sys-apps/lms] rm, im not using this anymore

master
Robert Förster 3 years ago
parent 5a49d5b166
commit 6350a2d719
  1. 1
      sys-apps/lms/Manifest
  2. 10
      sys-apps/lms/files/lms-build.patch
  3. 24
      sys-apps/lms/files/lms.initd
  4. 49
      sys-apps/lms/lms-8.0.0.7.ebuild

@ -1 +0,0 @@
DIST lms-8.0.0-7.tar.gz 382509 SHA256 7077db6f2f381e67cb37565b20c40ff0c7d3f98f014e65622a4b4b66c2b1d637 SHA512 1b1a92466061518d939bf541aaf39553ee1d6eb27a9fdfcb4b6b39dd88179d7edc51b4b3cde20caba7c6d62d2485b969804a32e44cca9db60e5cc7fc89bbda5c WHIRLPOOL 3c9219105687a0ec2a8b29afbabbaf9d4321815280656a234115097b08562a6d18f67eaac1b140d933f77f80839e13ee399d704d459c5440207550b88cc396ad

@ -1,10 +0,0 @@
--- src/tools/ATVersion.cpp.old 2014-05-07 20:57:07.086894124 +0200
+++ src/tools/ATVersion.cpp 2014-05-07 20:57:32.906640035 +0200
@@ -40,6 +40,7 @@
#include <cerrno>
#include <fstream>
#include <dirent.h>
+#include <unistd.h>
#define AT_VERSION_ARGUMENT "--version"
#define AT_VERSION_MAXSIZE 40

@ -1,24 +0,0 @@
#!/sbin/openrc-run
# Copyright 1999-2016 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
DAEMON="/usr/sbin/lms"
depend() {
need localmount
}
start() {
ebegin "Starting Intel® Local Manageability Service"
start-stop-daemon --start --exec $DAEMON \
--pidfile /run/lms.pid
eend $?
}
stop() {
ebegin "Stopping Intel® Local Manageability Service"
start-stop-daemon --stop --exec $DAEMON \
--pidfile /run/lms.pid
eend $?
}

@ -1,49 +0,0 @@
# Copyright 1999-2015 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=4
inherit eutils linux-info versionator
MY_PV=$(replace_version_separator 3 '-' )
MY_P="${PN}-${MY_PV}"
DESCRIPTION="Local Manageability Service (LMS) allows access to Intel Active Management"
HOMEPAGE="http://software.intel.com/en-us/articles/download-the-latest-intel-amt-open-source-drivers"
SRC_URI="http://software.intel.com/sites/default/files/${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
LICENSE="Intel-SDP"
SLOT="0"
KEYWORDS="~x86 ~amd64"
IUSE=""
DEPEND=""
RDEPEND="${DEPEND}"
pkg_pretend() {
linux-info_pkg_setup
if ! linux_config_exists || ! linux_chkconfig_present INTEL_MEI
then
ewarn "This service requires Intel MEI driver in your kernel config"
ewarn
ewarn " Device Drivers -->"
ewarn " Misc devices -->"
ewarn " <*> Intel Management Engine Interface (Intel MEI)"
ewarn
ewarn "and recompile your kernel ..."
fi
}
src_prepare() {
edos2unix README
epatch "${FILESDIR}/${PN}-build.patch"
}
src_install() {
emake DESTDIR="${D}" install
dodoc README
newinitd "${FILESDIR}/lms.initd" lms
}
Loading…
Cancel
Save